Bug 1291605 - Ceph pvs is not properly documented
Ceph pvs is not properly documented
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 04:24 EST by Eduardo Minguez
Modified: 2017-12-22 07:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-22 07:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2015-12-15 04:24:22 EST
Document URL: https://docs.openshift.com/enterprise/3.1/install_config/persistent_storage/persistent_storage_ceph_rbd.html

Section Number and Name: 

Describe the issue: There is a few things missing in the docs:

* Secret creation and availability. Secrets need to be available in all the projects you want to use it, and there is no words about how to create the ceph-secret

* Volumes creation. It doesn't explain how to create volumes in the ceph environment (rbd create foo -s 1024)

Suggestions for improvement: 
Add the provided suggestions

Additional information:
Comment 1 hchen 2015-12-16 11:10:57 EST
The words about how to create the ceph-secret can be found on upstream example doc at
https://github.com/kubernetes/kubernetes/tree/master/examples/rbd#use-ceph-authentication-secret
Comment 2 Vikram Goyal 2017-12-22 07:16:36 EST
This is now described here: https://docs.openshift.com/container-platform/3.7/install_config/storage_examples/ceph_example.html.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.